com.holonplatform.vaadin7.navigator.internal

## Interface ViewNavigatorAdapter

- All Superinterfaces:
    Serializable, ViewConfiguration.ViewConfigurationProvider, ViewNavigator
  All Known Implementing Classes:
    DefaultSpringViewNavigator, DefaultViewNavigator

      public interface ViewNavigatorAdapter
      extends ViewNavigator, ViewConfiguration.ViewConfigurationProvider

  Adpater of `ViewNavigator` to be used with `NavigatorActuator`
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.navigator.ViewNavigator

      `ViewNavigator.Builder, ViewNavigator.NavigationBuilder, ViewNavigator.NavigatorBuilder<B extends ViewNavigator.NavigatorBuilder<B>>, ViewNavigator.ViewNavigationException, ViewNavigator.ViewNavigatorChangeEvent`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin7.navigator.ViewNavigator

      `CONTEXT_KEY, VIEW_URI_SCHEME`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NavigatorActuator<?>` | `getActuator()` Get the NavigatorActuator associated to this adapter
    `void` | `navigateToView(com.vaadin.navigator.View view, String viewName, String parameters)` Navigate to given View
    `void` | `setup(com.vaadin.ui.UI ui, com.vaadin.navigator.NavigationStateManager stateManager, com.vaadin.navigator.ViewDisplay display)` Init navigator
    `void` | `setViewClassProvider(com.vaadin.navigator.ViewProvider provider, ViewClassProvider viewClassProvider)` Set the `ViewClassProvider` bound to given `ViewProvider`.
    `void` | `updateCurrentNavigationState(com.vaadin.navigator.ViewChangeListener.ViewChangeEvent event)` Update current navigation state relying in given View change event

    - ### Methods inherited from interface com.holonplatform.vaadin7.navigator.ViewNavigator

      `addViewChangeListener, builder, getCurrent, getCurrentView, getCurrentViewName, getDefaultViewName, getViewContent, navigateBack, navigateInWindow, navigateInWindow, navigateInWindow, navigateInWindow, navigateTo, navigateTo, navigateToDefault, navigateToState, removeViewChangeListener, require, toView`

    - ### Methods inherited from interface com.holonplatform.vaadin7.navigator.internal.ViewConfiguration.ViewConfigurationProvider

      `getViewConfiguration`

- - ### Method Detail

    - #### updateCurrentNavigationState

          void updateCurrentNavigationState(com.vaadin.navigator.ViewChangeListener.ViewChangeEvent event)

      Update current navigation state relying in given View change event
      Parameters:
        `event` - View change event

    - #### navigateToView

          void navigateToView(com.vaadin.navigator.View view,
                              String viewName,
                              String parameters)

      Navigate to given View
      Parameters:
        `view` - View instance
        `viewName` - View name
        `parameters` - View parameters

    - #### setup

          void setup(com.vaadin.ui.UI ui,
                     com.vaadin.navigator.NavigationStateManager stateManager,
                     com.vaadin.navigator.ViewDisplay display)

      Init navigator
      Parameters:
        `ui` - UI
        `stateManager` - NavigationStateManager
        `display` - View display

    - #### setViewClassProvider

          void setViewClassProvider(com.vaadin.navigator.ViewProvider provider,
                                    ViewClassProvider viewClassProvider)

      Set the `ViewClassProvider` bound to given `ViewProvider`.
      Parameters:
        `provider` - View provider (not null)
        `viewClassProvider` - View class provider

    - #### getActuator

          NavigatorActuator<?> getActuator()

      Get the NavigatorActuator associated to this adapter
      Returns:
        NavigatorActuator

Copyright © 2019 The Holon Platform. All rights reserved.